.stories-container-wrap {
    display: flex;
    position: fixed;
 
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 99;
    background-color: #000;
    justify-content: center;
    align-items: center;
    .stories-close {
        position: absolute;
        top: 10px;
        right: 10px;
        z-index: 9;
        color: #fff;
        line-height: 35px;
        height: 35px;
        width: 35px;
        font-weight: 100;
        text-align: center;
        font-size: 45px;
        transform: rotate(45deg);
        display: inline-block;
        vertical-align: middle;
        cursor: pointer;
    }
    .stories-share {
        position: absolute;
        top: 30px;
        right: 20px;
        z-index: 10;

        svg {
            width: 24px;
            height: 24px;

            path {
                fill: #ffffff;
            }
        }
    }
    .bg {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        z-index: 2;
        background-size: cover;
        background-position: center;
        -webkit-filter: blur(500px);
        -moz-filter: blur(500px);
        -o-filter: blur(500px);
        -ms-filter: blur(500px);
        filter: blur(500px);
        opacity: 0.34;
    }
    h3,
    h2,
    h3,
    h4,
    h5,
    h6 {
        margin: 5px 0;
     
        line-height: 1.2;
    }
}

.sliderContainer {
    position: relative;
}

.stories-wrap {
    position: relative;
    z-index: 3;

    .story-slider {
            width: 555px;
        border-radius: 14px;
        height: calc(100vh - 60px);
        overflow: hidden;
        position: relative;
        .story__slide {
            position: relative;
            border-radius: 10px;
            height: 100%;
            &:before {
                content: "";
                position: absolute;
                left: 0;

                border-radius: 10px;
                bottom: 0;
                width: 100%;
                height: 60%;
                background: linear-gradient(
                    to bottom,
                    rgba(0, 0, 0, 0) 30%,
                    rgba(0, 0, 0, 0.85) 70%,
                    rgba(0, 0, 0, 0.85) 100%
                );
                z-index: 2;
            }

            img {
                height: 100%;
                width: 100%;
                object-fit: cover;
                object-position: center;
                border-radius: 10px;
            }

            .heading {
                position: absolute;
                left: 0;
                bottom: 0;
                padding: 30px 30px 30px;
                width: 100%;
                z-index: 8;
                color: white;

                .title {
                    font-weight: 800;
                    font-size: 28px;
                    font-family: $secondary-font;
                    text-transform: uppercase;
                    margin-bottom: 15px;
                    // line-height: 1.4;
                }

                p {
                    font-size: 16px;
                    line-height: 1.5;
                    font-weight: 600;
                    span {
                        font-size: 14px;
                    }
                }

                .author {
                    display: flex;
                    align-items: center;
                    gap: 10px;
                    font-size: 14px;

                    > img {
                        height: 35px;
                        width: 35px;
                        border-radius: 50%;
                        border: solid 1px #fff;
                        overflow: hidden;
                        padding: 2px;
                        object-fit: cover;
                    }

                    p {
                        font-size: 16px !important;
                        line-height: 1.2;
                    }
                }
            }

            .share-btn {
                position: absolute;
                top: 30px;
                right: 20px;
                z-index: 10;

                svg {
                    width: 24px;
                    height: 24px;

                    path {
                        fill: #ffffff;
                    }
                }
                .share {
                    display: none;
                    background: #fff;
                    text-align: right;
                    position: absolute;
                    right: 0;
                    width: 230px;
                    border-radius: 8px;
                    padding: 10px;
                    color: #000;
                    cursor: default;
                    top: 140%;
                    .sharethis-inline-share-buttons {
                        .st-btn {
                            border-radius: 100% !important;
                            margin-right: 5px !important;
                            padding: 0 !important;
                            width: 32px;
                            display: inline-block !important;
                        }
                    }
                }
                &.active {
                    .share {
                        display: block;
                        .st-shares {
                            display: none !important;
                        }
                    }
                }
            }
        }
    }

    .story__pagination {
        bottom: unset !important;
        top: 8px !important;
        display: flex;
        padding: 0 4px;
        .swiper-pagination-bullet {
            flex-grow: 1;
            border-radius: 100vh !important;
            height: 3px !important;
            margin: 0 2px !important;
        background-color:rgba(255, 255, 255, 0.25) !important;
            opacity: 1;
            .swiper-pagination-progress {
                height: 100%;
                width: 0%;
                border-radius: 100vh;
                background-color: #f7f7f5;
            }
        }
    }

    .swiper-button-next,
    .swiper-button-prev {
        right: 0 !important;
        left: auto !important;
        width: 50% !important;
        top: calc(50% - 50px) !important;
        cursor: default !important;
        z-index: 99 !important;
        &:after {
            cursor: pointer;
            height: 44px;
            width: 44px;
            text-align: center;
            line-height: 44px !important;
            border-radius: 50%;
            background: white;
            position: absolute;
            font-size: 20px !important;
            color: rgba(0, 0, 0, 0.68);
        }
    }
    .swiper-button-prev {
        left: 0 !important;
        right: auto !important;
        &:after {
            right: calc(100% + 30px);
        }
    }
    .swiper-button-next {
        &:after {
            left: calc(100% + 30px);
        }
    }
}
@keyframes zoom-in-zoom-out {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(1.2);
    }
}
@-webkit-keyframes zoom-in-zoom-out {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(1.2);
    }
}
@keyframes fade-right {
    0% {
        transform: translateX(-50px);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}
@-webkit-keyframes fade-right {
    0% {
        transform: translateX(-50px);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}
@keyframes fade-left {
    0% {
        transform: translateX(50px);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}
@-webkit-keyframes fade-left {
    0% {
        transform: translateX(50px);
        opacity: 0;
    }
    100% {
        transform: translateX(0);
        opacity: 1;
    }
}

.swiper-slide-active {
    .post_image {
        animation: zoom-in-zoom-out 6s ease-in forwards;
    }
    .heading {
        p {
            animation-delay: 1s;
            animation: fade-left 0.3s linear forwards;
        }
        .title {
            animation: fade-right 0.3s linear forwards;
        }
    }
}

@media (max-width: 768px) {
    .stories-wrap {
        height: 100%;
        width: 100%;
        .story-slider {
            width: 100%;
            height: 100%;
        }
        .swiper-button-prev::after {
            right: auto !important;
            left: 10px !important;
        }
        .swiper-button-next::after {
            left: auto !important;
            right: 10px !important;
        }
    }
}

@media (min-width: 1600px) {
    .stories-wrap .story-slider {
        width: 550px;
    }
}

@media (max-width: 810px) {
    .stories-wrap .story-slider {
        border-radius: 0;
        .story__slide .heading {
            .title {
                font-size: 30px;
                margin-bottom: 5px;
            }
            p {
                font-size: 16px;
            }
        }
    }
    .stories-container-wrap .stories-close {
        top: 23px;
        right: 50px;
    }
}